org.jboss.resteasy.plugins.providers.jaxb

## Class JAXBContextWrapper

- java.lang.Object
- - javax.xml.bind.JAXBContext
  - - org.jboss.resteasy.plugins.providers.jaxb.JAXBContextWrapper

-     public class JAXBContextWrapper
      extends JAXBContext

  A wrapper class around a JAXBContext that enables additional features to the RESTEasy JAXB-based providers.
  Version:
    $Revision:$
  Author:
    Ryan J. McDonough

- - ### Field Summary

    - ### Fields inherited from class javax.xml.bind.JAXBContext

      `JAXB_CONTEXT_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXBContextWrapper(Class<?>[] classes, Map<String,Object> properties, JAXBConfig config)` Create a new JAXBContextWrapper.
    `JAXBContextWrapper(JAXBConfig config, Class<?>... classes)` Create a new JAXBContextWrapper.
    `JAXBContextWrapper(JAXBContext wrappedContext, JAXBConfig config)`
    `JAXBContextWrapper(String contextPath, JAXBConfig config)` Create a new JAXBContextWrapper.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Binder<Node>` | `createBinder()`
    `<T> Binder<T>` | `createBinder(Class<T> domType)`
    `JAXBIntrospector` | `createJAXBIntrospector()`
    `Marshaller` | `createMarshaller()`
    `Unmarshaller` | `createUnmarshaller()`
    `Validator` | `createValidator()` Deprecated.
    `void` | `generateSchema(SchemaOutputResolver outputResolver)`
    `Schema` | `getSchema()` Get the schema.
    `void` | `setSchema(Schema schema)` Set the schema.

    - ### Methods inherited from class javax.xml.bind.JAXBContext

      `newInstance, newInstance, newInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXBContextWrapper

          public JAXBContextWrapper(JAXBContext wrappedContext,
                            JAXBConfig config)
                             throws JAXBException

      Throws:
        `JAXBException`

    - #### JAXBContextWrapper

          public JAXBContextWrapper(Class<?>[] classes,
                            Map<String,Object> properties,
                            JAXBConfig config)
                             throws JAXBException

      Create a new JAXBContextWrapper.
      Parameters:
        `classes` -
        `properties` -
        `config` -
      Throws:
        `JAXBException`

    - #### JAXBContextWrapper

          public JAXBContextWrapper(String contextPath,
                            JAXBConfig config)
                             throws JAXBException

      Create a new JAXBContextWrapper.
      Parameters:
        `contextPath` -
        `config` -
      Throws:
        `JAXBException`

    - #### JAXBContextWrapper

          public JAXBContextWrapper(JAXBConfig config,
                            Class<?>... classes)
                             throws JAXBException

      Create a new JAXBContextWrapper.
      Parameters:
        `classes` -
        `config` -
      Throws:
        `JAXBException`

  - ### Method Detail

    - #### getSchema

          public Schema getSchema()

      Get the schema.
      Returns:
        the schema.

    - #### setSchema

          public void setSchema(Schema schema)

      Set the schema.
      Parameters:
        `schema` - The schema to set.

    - #### createBinder

          public Binder<Node> createBinder()

      Overrides:
        `createBinder` in class `JAXBContext`
      Returns:
      See Also:
        `JAXBContext.createBinder()`

    - #### createBinder

          public <T> Binder<T> createBinder(Class<T> domType)

      Overrides:
        `createBinder` in class `JAXBContext`
      Type Parameters:
        `T` -
      Parameters:
        `domType` -
      Returns:
      See Also:
        `JAXBContext.createBinder(java.lang.Class)`

    - #### createJAXBIntrospector

          public JAXBIntrospector createJAXBIntrospector()

      Overrides:
        `createJAXBIntrospector` in class `JAXBContext`
      Returns:
      See Also:
        `JAXBContext.createJAXBIntrospector()`

    - #### createMarshaller

          public Marshaller createMarshaller()
                                      throws JAXBException

      Specified by:
        `createMarshaller` in class `JAXBContext`
      Returns:
      Throws:
        `JAXBException`
      See Also:
        `JAXBContext.createMarshaller()`

    - #### createUnmarshaller

          public Unmarshaller createUnmarshaller()
                                          throws JAXBException

      Specified by:
        `createUnmarshaller` in class `JAXBContext`
      Returns:
      Throws:
        `JAXBException`
      See Also:
        `JAXBContext.createUnmarshaller()`

    - #### createValidator

          public Validator createValidator()
                                    throws JAXBException

      Deprecated.
      Specified by:
        `createValidator` in class `JAXBContext`
      Returns:
      Throws:
        `JAXBException`
      See Also:
        `JAXBContext.createValidator()`

    - #### generateSchema

          public void generateSchema(SchemaOutputResolver outputResolver)
                              throws IOException

      Overrides:
        `generateSchema` in class `JAXBContext`
      Parameters:
        `outputResolver` -
      Throws:
        `IOException`
      See Also:
        `JAXBContext.generateSchema(javax.xml.bind.SchemaOutputResolver)`

Copyright © 2014. All Rights Reserved.